=== modified file 'bzrlib/merge.py'
--- bzrlib/merge.py	2005-09-19 02:33:09 +0000
+++ bzrlib/merge.py	2005-09-22 03:23:22 +0000
@@ -134,7 +134,7 @@
             
 def get_tree(treespec, temp_root, label, local_branch=None):
     location, revno = treespec
-    branch = Branch.open(location)
+    branch = Branch.open_containing(location)
     if revno is None:
         revision = None
     elif revno == -1:

=== modified file 'bzrlib/selftest/blackbox.py'
--- bzrlib/selftest/blackbox.py	2005-09-21 23:13:57 +0000
+++ bzrlib/selftest/blackbox.py	2005-09-22 03:23:22 +0000
@@ -164,6 +164,10 @@
         self.check_file_contents('hello', 'foo')
         self.runbzr('revert hello')
         self.check_file_contents('hello', 'xyz')
+        os.chdir('revertdir')
+        self.runbzr('revert')
+        os.chdir('..')
+
 
     def test_mv_modes(self):
         """Test two modes of operation for mv"""
@@ -274,6 +278,8 @@
         self.runbzr('branch a b')
         os.chdir('b')
         self.runbzr('pull')
+        os.mkdir('subdir')
+        self.runbzr('add subdir')
         self.runbzr('commit -m blah --unchanged')
         os.chdir('../a')
         a = Branch.open('.')
@@ -288,8 +294,8 @@
         os.chdir('../a')
         self.runbzr('merge ../b')
         self.runbzr('commit -m blah4 --unchanged')
-        os.chdir('../b')
-        self.runbzr('pull ../a')
+        os.chdir('../b/subdir')
+        self.runbzr('pull ../../a')
         assert a.revision_history()[-1] == b.revision_history()[-1]
         
     def test_add_reports(self):

